<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://fastcache.host.it/alessandropoletto
 * @since      1.0.0
 *
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
?>
<div id="wrap">
    <ul class="flex flex-wrap text-sm font-medium text-center text-gray-800 border-b border-black ">
        <li class="me-2 mb-0 fastcachetabs" id="tab-settings">
            <span data-menu="settings"
                  onclick="fastcache_host_switch_Section('settings')"
                  aria-current="page"
                  class="cursor-pointer inline-block p-4 text-blue-600 bg-gray-100 rounded-t-lg active ">Configurazione</span>
        </li>
        <?php if (isset(get_option(FASTCACHEHOST_HOST_PLUGINNAME_SETTINGS  )['activate']) && get_option(FASTCACHEHOST_HOST_PLUGINNAME_SETTINGS  )['activate'] == '1') { ?>
            <li class="me-2 mb-0 fastcachetabs" id="tab-ttl">
                <span data-menu="ttl"
                      onclick="fastcache_host_switch_Section('ttl')"
                      class="cursor-pointer inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 ">TTL</span>
            </li>
        
            <li class="me-2 mb-0 fastcachetabs" id="tab-debug">
                <span data-menu="debug"
                      onclick="fastcache_host_switch_Section('debug')"
                      class="cursor-pointer inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 ">Debug</span>
            </li>
        <?php } ?>
        
        <li class="me-2 mb-0 fastcachetabs" id="tab-help">
            <span data-menu="help"
                  onclick="fastcache_host_switch_Section('help')"
                  class="cursor-pointer inline-block p-4 rounded-t-lg hover:text-gray-600 hover:bg-gray-50 ">HELP</span>
        </li>
       
    </ul>
    <form method="post" action="options.php">
		<?php
		$utils=new \FASTCACHEHOST_HCommon\FASTCACHEHOST_HCommon();
		settings_fields( FASTCACHEHOST_HOST_PLUGINNAME_SETTINGS );
		$utils->override_do_settings_sections_host( FASTCACHEHOST_HOST_PLUGINNAME . '-settings' );
		$utils->override_do_settings_sections_host( FASTCACHEHOST_HOST_PLUGINNAME . '-ttl' );
		$utils->override_do_settings_sections_host( FASTCACHEHOST_HOST_PLUGINNAME . '-debug' );
		$utils->override_do_settings_sections_host( FASTCACHEHOST_HOST_PLUGINNAME . '-contacts' );
		$utils->createSection_host('help');
		?>
    </form>
</div>
<script>
    jQuery( window ).load(function() {
        fastcache_host_switch_Section('settings');
    })
</script>