<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://fastcachecdn.com/
 * @since             1.0.0
 * @package           FastCache
 *
 * @wordpress-plugin
 * Plugin Name:       FastCache by Host.it
 * Plugin URI:        https://fastcachecdn.com/
 * Description:       Abilita il tuo sito Wordpress alla prima vera CDN realizzata PER Wordpress e configurata AD-HOC per il tuo sito. Il massimo della velocità senza difficoltà di setup.
 * Version:           1.2.17
 * Author:            Host.it - Alessandro Poletto
 * Author URI:        https://fastcachecdn.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       fastcache
 * Domain Path:       /languages
 * Tags:              cache , performance, speed, seo, google, cdn, varnish
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/*
include_once ABSPATH . 'wp-admin/includes/file.php';
WP_Filesystem();
global $wp_filesystem;
$arr= $wp_filesystem->get_contents_array(ABSPATH . 'wp-content/plugins/fastcache/.env');
if(is_array($arr) && !empty($arr) ) {
	foreach ( $arr as $line ) {
		$line = trim( $line );
		if ( strpos( $line, '=' ) !== false ) {
			putenv( $line );
		}
	}
}
*/

add_filter('fastcache_host_v_purge_urls', "fastcache_host_v_purge_urls_func", 99,1);
function fastcache_host_v_purge_urls_func($urls) {
	global $host_v_purge_urls_func_var;
	if(is_array($urls) && !empty($urls)) {
		foreach($urls as $k=>$v) {
			$host_v_purge_urls_func_var[ $v ]['url'] = $v;
			if ( ! isset( $host_v_purge_urls_func_var[ $v ]['done'] ) ) {
				$host_v_purge_urls_func_var[ $v ]['done'] = 0;
			}
		}
	}
	return $urls;
};
$perm=wp_kses_allowed_html( 'post' );
$perm['input']=["type"=>1,"name"=>1,"id"=>1,"value"=>1,"data-posttype"=>1,"class"=>1, "checked"=>1,"disabled"=>1];
$perm["svg"]=["width"=>true,
              "height"=>true,
              "class"=>true,
              "fill"=>true,
              "aria-hidden"=>true,
              "viewbox"=>true,
              "stroke"=>true,
              "stroke-width"=>true,
              "style"=>true
];
$perm["path"]=[
	"stroke-linecap"=>true,
	"stroke-linejoin"=>true,
	"stroke-width"=>true,
	"stroke"=>true,
	"d"=>true,
	"style"=>true,
	"fill"=>true
];
$perm["g"]=[];
add_filter( 'safe_style_css', function( $styles ) {
	$styles[] = 'background-color';
	$styles[] = 'border-color';
	$styles[] = 'border-width';
	$styles[] = 'border-radius';
	$styles[] = 'clip-rule';
	$styles[] = 'color';
	$styles[] = 'fill-rule';
	$styles[] = 'flex';
	$styles[] = 'flex-direction';
	$styles[] = 'font-size';
	$styles[] = 'font-weight';
	$styles[] = 'image-rendering';
	$styles[] = 'line-height';
	$styles[] = 'margin-bottom';
	$styles[] = 'opacity';
	$styles[] = 'padding';
	$styles[] = 'position';
	$styles[] = 'right';
	$styles[] = 'top';
	$styles[] = 'shape-rendering';
	$styles[] = 'text-rendering';
	$styles[] = 'width';
	$styles[] = 'z-index';
	
	return $styles;
} );
define('FASTCACHEHOST_ALLOWEDHTML',$perm);
define('FASTCACHEHOST_HOST_PLUGIN_DIR', plugin_dir_path( __FILE__ ));
define('FASTCACHEHOST_HOST_PLUGINNAME', 'fastcache-host');
define('FASTCACHEHOST_HOST_PLUGINNAME_METHODS', 'fastcache_host');
define('FASTCACHEHOST_HOST_PLUGINNAME_SETTINGS', 'fastcache-host-settings');
define('FASTCACHEHOST_HOST_PLUGINNAME_PATH', 'fastcache');
if(getenv('FASTCACHEHOST_HOST_ENDPOINTCACHE')) {
	define('FASTCACHEHOST_HOST_ENDPOINTCACHE', getenv('FASTCACHEHOST_HOST_ENDPOINTCACHE'));
} else {
	define('FASTCACHEHOST_HOST_ENDPOINTCACHE', 'https://purge.hostcdn.it:8443/');
	# define('FASTCACHEHOST_HOST_ENDPOINTCACHE', ' https://purge-dev.hostcdn.it:8443/');
}
define('FASTCACHEHOST_HOSTNAME',wp_parse_url( get_site_url(), PHP_URL_HOST ));
$upload_dir = wp_upload_dir();
$log_dir = $upload_dir['basedir'] . '/logs/';
define("FASTCACHEHOST_LOGPATH",$log_dir . "log.txt");
define("FASTCACHEHOST_WCFAST","wcfast" );
$options = get_option( FASTCACHEHOST_HOST_PLUGINNAME . '-settings' );
if(isset($options['activatelog'])) {
	define("FASTCACHEHOST_LOGACTIVE", $options['activatelog']);
} else {
	define("FASTCACHEHOST_LOGACTIVE", 0);
}
require_once( ABSPATH .'wp-includes/pluggable.php' );
// require_once plugin_dir_path( dirname( __FILE__ ) ) .  FASTCACHEHOST_HOST_PLUGINNAME . '/pluginChecker/pluginChecker.class.php';
/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'FASTCACHEHOST_VERSION', '1.2.17' );

/**
 * The code that runs during plugin activation.
 */
function fastcache_host_activate_fastcache_host() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-' . FASTCACHEHOST_HOST_PLUGINNAME_PATH . '-activator.php';
	FASTCACHEHOST_HActivator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function fastcache_host_deactivate_fastcache_host() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-' . FASTCACHEHOST_HOST_PLUGINNAME_PATH . '-deactivator.php';
	FASTCACHEHOST_HDeactivator::deactivate();
}

register_activation_hook( __FILE__, 'fastcache_host_activate_' . FASTCACHEHOST_HOST_PLUGINNAME_METHODS  );
register_deactivation_hook( __FILE__, 'fastcache_host_deactivate_' . FASTCACHEHOST_HOST_PLUGINNAME_METHODS  );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-' . FASTCACHEHOST_HOST_PLUGINNAME_PATH . '.php';
/**
 * The core plugin class that is used to common environment.
 */
require plugin_dir_path( __FILE__ ) . 'common/class-' . FASTCACHEHOST_HOST_PLUGINNAME_PATH . '-common.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function fastcache_host_run_fastcache_host() {

	$plugin = new FASTCACHEHOST_FastCache();
	$plugin->run();

}
fastcache_host_run_fastcache_host();

add_filter("plugin_action_links_" . plugin_basename(__FILE__), array('FASTCACHEHOST_GeneralSettings', 'settings_link') );
class FASTCACHEHOST_GeneralSettings {
	static function settings_link($links) {
		$settings_link = '<a href="admin.php?page=' . FASTCACHEHOST_HOST_PLUGINNAME. '">Settings</a>';
		array_unshift($links, $settings_link);
		return $links;
	}
}
/**
 *  TO remove before flight
add_filter('http_request_reject_unsafe_urls', '__return_false');
add_filter( 'http_request_args', function ( $args ) {
		$args['reject_unsafe_urls'] = false;
		return $args;
}, 999 );
add_filter( 'https_ssl_verify', '__return_false' );
 */

